Bug 28264 - Transaction type is empty in cash register statistics wizard report
Summary: Transaction type is empty in cash register statistics wizard report
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Ivan Dziuba
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-29 15:58 UTC by Caroline Cyr La Rose
Modified: 2021-08-12 21:11 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02,20.11.09


Attachments
Bug 28264: Transaction type is empty is cash register statistics wizard report (1.33 KB, patch)
2021-05-06 19:36 UTC, Ivan Dziuba
Details | Diff | Splinter Review
Bug 28264: Transaction type is empty is cash register statistics wizard report (1.37 KB, patch)
2021-05-11 08:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28264: (QA follow-up) Impliment fix for debit_type_code (1.01 KB, patch)
2021-05-11 08:41 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2021-04-29 15:58:27 UTC
Hi all!

When I do a report using the statistics wizard, the transaction type doesn't appear.

I think maybe this has something to do with the "new" structure for accounttypes which are now separated in credit_type_code and debit_type_code...

To test:
1) Go into a patron file and add some manual fees and pay them
2) Go to Reports > Statistics wizards > Cash register
3) In the form, choose Transaction type: All transactions
4) Click "Submit"
5) Note that the Transaction type column is empty
6) In the form, choose Output: To a file
7) Click "Submit"
8) Open the file in a spreadsheet software (I use LibreOffice)
9) The Transaction type column is empty

A client reported this to me after we upgraded them from 19.05.04 to 20.05.08. In 20.05 (in the client's db), the Transaction type column is filled when viewing the report in the browser, but when we export the report, it's empty. In my master (default db), the transaction types don't appear in either cases.
Comment 1 Ivan Dziuba 2021-05-06 19:36:04 UTC
Created attachment 120642 [details] [review]
Bug 28264: Transaction type is empty is cash register statistics wizard report

To test:
1) Go into a patron file and add some manual fees and pay them
2) Go to Reports > Statistics wizards > Cash register
3) In the form, choose Transaction type: All transactions
4) Click "Submit"
5) Note that the Transaction type column is empty
6) In the form, choose Output: To a file
7) Click "Submit"
8) Open the file in a spreadsheet software (I use LibreOffice)
9) The Transaction type column IS NOT empty
Comment 2 Martin Renvoize 2021-05-11 08:40:58 UTC
Created attachment 120824 [details] [review]
Bug 28264: Transaction type is empty is cash register statistics wizard report

To test:
1) Go into a patron file and add some manual fees and pay them
2) Go to Reports > Statistics wizards > Cash register
3) In the form, choose Transaction type: All transactions
4) Click "Submit"
5) Note that the Transaction type column is empty
6) In the form, choose Output: To a file
7) Click "Submit"
8) Open the file in a spreadsheet software (I use LibreOffice)
9) The Transaction type column IS NOT empty

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2021-05-11 08:41:02 UTC
Created attachment 120825 [details] [review]
Bug 28264: (QA follow-up) Impliment fix for debit_type_code

The fix for the debit_type line was also missing.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2021-05-11 08:41:32 UTC
Trivial correction, going straight for QA on this one.. Passed.
Comment 5 Jonathan Druart 2021-06-21 12:04:07 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Jonathan Druart 2021-06-21 12:04:47 UTC
Congratulations, Ivan, for your first patch pushed!
Comment 7 Kyle M Hall 2021-07-02 13:41:13 UTC
Pushed to 21.05.x for 21.05.02
Comment 8 Fridolin Somers 2021-08-02 20:02:23 UTC
Pushed to 20.11.x for 20.11.09
Comment 9 Victor Grousset/tuxayo 2021-08-12 21:11:53 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.